INTERFACE
SUBROUTINE JBVCOR_WAVELET (KSCALE,YD_PCV,PSPA3,PSPA2)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMCVA , ONLY : NVA3D ,NVA2D
USE YOMDIM , ONLY : NPROMA, NFLEVG, NFLSUR, NSPEC2
USE CONTROL_VECTORS, ONLY : CONTROL_VECTOR
INTEGER(KIND=JPIM),INTENT(IN) :: KSCALE
TYPE(CONTROL_VECTOR),INTENT(INOUT) :: YD_PCV
REAL(KIND=JPRB) ,INTENT(IN) :: PSPA3(NFLSUR,NSPEC2,NVA3D)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPA2(NSPEC2,NVA2D)
END SUBROUTINE JBVCOR_WAVELET
END INTERFACE
